%define mpiimpl openmpi
%define mpidir %_libexecdir/%mpiimpl

Name: cheetah
Version: 1.1.4
Release: alt0.M50.1
Summary: High performance messaging library
License: Free
Group: Networking/Other
Url: http://www.netlib.org/linpack/
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

Source: %name-%version.tar.gz

Requires: lib%name-devel = %version-%release

BuildPreReq: gcc-c++ %mpiimpl-devel-static

%description
Cheetah is a high performance messaging library which provides get/put
and invoke (remote method invocation) semantics.

%package -n lib%name-devel
Summary: Static development files of Cheetah
Group: Development/C++
Requires: %name = %version-%release
Requires: %mpiimpl-devel-static

%description -n lib%name-devel
Cheetah is a high performance messaging library which provides get/put
and invoke (remote method invocation) semantics.

This package contains static development files of Cheetah.

%package -n lib%name-devel-doc
Summary: Documentation and examples for Cheetah
Group: Development/Documentation
BuildArch: noarch
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-doc
Cheetah is a high performance messaging library which provides get/put
and invoke (remote method invocation) semantics.

This package contains development documentation and examples for Cheetah.

%prep
%setup

%build
rm -fR $(find ./ -name CVS)
./configure \
	--static \
	--prefix %prefix \
	--arch LINUXGCC \
	--opt \
	--ex \
	--mpi \
	--ulm
pushd lib/LINUXGCC
sed -i \
	"s|^\(CHEETAH_INCLUDES.*\)|\1 -I%mpidir/include|" \
	Makefile
sed -i 's|\(\-lmpi\)|-L%mpidir/lib \1|' Makefile
sed -i 's|^\(CHEETAH_INSTALL_ARCH\).*|\1 = ""|' Makefile
%make_build
popd

%install
TOPDIR=$PWD
pushd lib/LINUXGCC
%make_install CHEETAH_INSTALL_DIR=%buildroot%prefix install
popd

install -d %buildroot%_includedir
install -d %buildroot%_libdir
mv %buildroot%_libexecdir/g++-ex/*.a %buildroot%_libdir/
mv %buildroot%_libexecdir/g++-ex/*.h %buildroot%_includedir/

install -d %buildroot%_docdir/%name/html
install -p -m644 doc/* %buildroot%_docdir/%name
install -p -m644 html/* %buildroot%_docdir/%name/html

install -d %buildroot%_docdir/%name/examples
mv %buildroot%prefix/src/* %buildroot%_docdir/%name/examples

%files
%doc README

%files -n lib%name-devel
%_libdir/*.a
%_includedir/*

%files -n lib%name-devel-doc
%_docdir/%name

%changelog
* Mon May 18 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.1.4-alt0.M50.1
- Port for Branch 5.0

* Sun May 17 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.1.4-alt1
- Initial build for Sisyphus
